<?php

use Illuminate\Support\Facades\Schedule;

use App\Jobs\AddressIdleDomain;
use App\Jobs\MailSend;
use App\Jobs\SystemHeartbeat;

Schedule::job(new MailSend(TRUE))
	->timezone('Australia/Melbourne')
	->everyMinute()
	->withoutOverlapping();

Schedule::job(new MailSend(FALSE))
	->timezone('Australia/Melbourne')
	->twiceDaily(1,13);

Schedule::job(new SystemHeartbeat)
	->timezone('Australia/Melbourne')
	->hourly();

Schedule::job(new AddressIdleDomain)
	->timezone('Australia/Melbourne')
	->weeklyOn(0,'01:00');